Bug 212459 - FC6 Crashes when network starts
FC6 Crashes when network starts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 16:43 EDT by TMcHardy
Modified: 2014-06-29 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:34:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages log requested (115.27 KB, text/plain)
2006-10-29 23:18 EST, TMcHardy
no flags Details

  None (edit)
Description TMcHardy 2006-10-26 16:43:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.7) Gecko/20060913 Fedora/1.5.0.7-1.fc5 Firefox/1.5.0.7 pango-text

Description of problem:
- Compaq Presario v6030 (V6000 series)
- nVidia based archetecture (Note there will probably be similar problems on other laptop models in this family with the nVidia archetecture.  The ATI based will probably not have identical issues)
- nVidia Corporation MCP51 Ethernet Controller

When this card starts up on boot the machine crashes.  Hard lock-up, reset required.  Situations which this happens:

- During first boot setup screen when selecting "Next" on the Date/Time Screen.
- Just before entering X on startup.
- Leaving X if you manually started the card after boot.
- Randomly if you manually start the card after boot.

This basically renders the network interface on the laptop useless.


Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798

How reproducible:
Always


Steps to Reproduce:
1. Enable "network" on startup (runlevels 3/5)
2. Reboot Machine.
3. Machine will go to black screen after loading drivers (possibly when it tries to go to X.

Actual Results:
Machine freezes up.  Hard reboot required.

Expected Results:
Machine starts without errors.

Additional info:
I am not extremely comfortable in Linux systems and because of this, finding workarounds such as "change this and recompile your kernel" are not simple alternatives.  Because the network card can be started manually for short intervals of 2-10 minutes before the entire system freezes, if a fix becomes available, it is possible to run a quick update via yum.
Comment 1 TMcHardy 2006-10-26 17:15:29 EDT
It would be nice to know if this is a conflict with something else that I can
disable.  The network is the primary thing to get working.  All else is pretty
secondary.
Comment 2 Christopher Aillon 2006-10-26 17:22:04 EDT
you probably meant to file this against kernel.
Comment 3 TMcHardy 2006-10-26 18:24:18 EDT
It appears that if I load into runlevel 1 and then switch runlevel 5 (init 5) X
will load up without any issues.

I appears the last thing that shows when attempting to go directly into runlevel
5 from bootup is "Starting first time boot configuration" (or something along
those lines - going from memory).
Comment 4 Andy Gospodarek 2006-10-27 18:14:43 EDT
Is there any chance that you could boot this laptop with the network interface
disabled and attach the file /var/log/messages from that system to this BZ?  If
there is a /var/log/messages.1 please attach that file as well.  

There is a good chance I will be able to glean some useful information about why
the network interface causes the hang based on what is in that/those files.
Comment 5 TMcHardy 2006-10-29 23:17:30 EST
Attaching the messages file as requested.  Note I am on the laptop now.  The
steps that I have just taken:

1) Do a fresh install.
2) Boot into runlevel 1 and disable network for runlevels 3/5.
3) Restarted computer into runlevel 5.
4) Started network using the "Administration > Network" option from the KMenu.
5) Attempted to log out (Network was active: Hence system crash)
6) Hard reboot.
7) Boot up directly into runlevel 5, started network, sending log.

Note that I seem to be able to "use" the network, as long as I don't start or
shut down KDE with it on.  Doing this causes the "black screen of death". :)

Attaching messages log file created doing these steps.
Comment 6 TMcHardy 2006-10-29 23:18:40 EST
Created attachment 139694 [details]
messages log requested
Comment 7 Andy Gospodarek 2006-10-30 18:08:50 EST
Hmmm, I don't see anything right away that would be problematic.  When it hangs,
can you press ctl-alt-f2, ctl-alt-f3, etc to switch to a text based login?  I'm
curious if if hangs the box completely or something goes bad with the video
driver.  

I'd also be curious to know if the hang happens when using run level 3.  Maybe
you could try logging in that way, starting the network, and then using a
program like elinks to browse the web (as painful as that may be) or find
another way to create network traffic and make sure that this is specific to X/KDE.

You also may want to try the latest kernel, and see if that helps.  You get
there with a 'yum update kernel' without updating the entire system.

If none of the suggestions prove to show anything valuable, could you the
'sysreport' command from the console and attach the output file to this BZ.
Comment 8 TMcHardy 2006-10-30 18:58:58 EST
Well, let's see what I can answer without having this laptop in front of me. :)

1) No, pressing Ctrl-Alt-Fx to go to different consoles does not work.  I have
to do a hard reboot in order to get the machine to do anything.

2) No, Going to Runlevel 3 does not seem to cause the problem.  It only seems to
be when X starts.  However, I have had the machine lock up while *in* runlevel 3
with the network running.  I don't know if this is related in any way, shape, or
form and for now I'm just dismissing it as random coincidence.  It appears to be
only occuring when X starts.  Hence the log out of KDE with the network running
would restart the X session and bring me back to the screen where I can log in
and select if I want KDE/Gnome/etc... this does not work.  It just goes to the
same black screen I would get when booting.

2a) On a side note to this, is this even the correct place for "X" bugs.  After
all this investigation it does seem as this is very X specific.  After all, the
reproduction of this occurs 100% during the starting of the X screen.

2b) I have updated my system using yum in runlevel 3. That was the first thing I
tried hoping that there would be an update that might fix this.  Therefore, I
can tell you that starting the network "after" the system is running causes no
problems (either in KDE or at the konsole).  It only appears to be when loading
the X selection screen that it's freezing up.  

3) I have not tried a "yum update kernel".  Doing a plain "yum update" (i.e. I
wanted to update my whole system) did not list a kernel to be updated.  I guess
this is in the default exclude list or in a repository I have to add manually? 
I'll give that a try tonight.

4) I'll try that sysreport. Anything I can do to help here.  Right now I'm just
getting around it by disabling my network and enabling it after I log in. I just
have to forget not to disable it when I log out or the machine crashes when
trying to turn it off. ;)  Now on to getting my Video drivers working.  The main
reason this defect is such a pain is because you can't diagnose it until after
you log in and I was trying to figure out why my machine was crashing over and
over again during first time login.  To someone who wouldn't even know what
"runlevel 3" is, this would have rendered the entire OS useless. :(  (And hey,
to me, clicking "Next, Next, Next... hey, it's installed!" is a dream come true
for Linux.)
Comment 9 Andy Gospodarek 2006-10-30 22:43:43 EST
This is starting to sound like it must be related to X/KDE.  If you can send
over the file created by 'sysreport' that would be helpful to try and further
diagnose the issue.  The file /var/log/Xorg.0.log might be helpful as well since
I'm pretty sure the sysreport won't include that file by default.
Comment 10 TMcHardy 2006-10-31 02:02:48 EST
I have a solution.  I don't know any of the reasons behind it, but at least it
works.

I gave up trying this network thing and decided to work on my non-working nVidia
video drivers.  I downloaded the latest drivers and played around with
everything I could.  In fact, I spent all night trying to get these drivers to
work, and the best I could ever get was a black screen.  Then, on a whim, I
decided to try the Beta drivers available at nVidia.  And it worked (after some
modifications to the nv-linux.h and os-registry.c files). SO!  I thought to
myself, well, what if there was something conflicting?  Let's enable my network
card and see what happens...

IT WORKS!  Of course, I have to run beta drivers for the video, but now I get my
fancy hardware acceleration AND a working network!

To sum up.  This is still a pretty big problem, but at least there's a
workaround now.  Don't use the default Vesa Driver, the livna driver didn't seem
to work either, I had to use the official nVidia video BETA driver (9625) to get
the network to work. (Yeah, I know, Working Video = Working Network, how odd. 
That's integrated chipsets for you.)
Comment 11 Andy Gospodarek 2007-03-28 16:11:08 EDT
Have you had a chance to try this again with any of the newer FC6 kernels and
the vesa driver?  

I'd like to make sure we get this resolved if its still a problem for you.
Comment 12 Bug Zapper 2008-04-04 00:08:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 12:33:59 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.